{% set CodiceModulo = "RIC_TRA_BAD" %}
{% set Urn = "document:c_e270:ristorazione.scolastica.badge;trasferimento" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Richiesta trasferimento badge mensa ad altro alunno"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|08/11/2023"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Richiesta trasferimento badge mensa ad altro alunno {% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="3">
  {{ utils.firma( firmatario = "Il dichiarante" ) }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - trasferimento badge mensa ad altro alunno'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Richiesta trasferimento badge mensa ad altro alunno </div>
</div>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> il trasferimento del badge mensa assegnato </div>
</div>

<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Minore"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione="all'alunno", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="display:none", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}
<div class="container border bg-light mt-0">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-12">
      <label for="Parametri_NBadge"> Numero identificativo del badge dell’alunno  </label>
      <input class="form-control" id="Parametri_NBadge" name="Parametri_NBadge" label="numero identificativo del badge dell’alunno ">
    </div>
  </div>
</div>    

<div class="container">
  <div class="paragraph text-justify"> l’assegnazione del badge mensa </div>
</div>

<input id="Referente1_DatiPersonaObbligatori" name="Referente1_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente1_Titolo" name="Referente1_Titolo" type="hidden" value="Richiedente"/>
<input id="Referente1_Ruolo" name="Referente1_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Referente1", 
                              intestazione="all'alunno", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="display:none", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}
<globo_salto_pagina></globo_salto_pagina>
<div class="container">
  <div class="title-3"> COMUNICA </div>
</div>                     

<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_Comunica" name="Tassonomia_Comunica" label="comunica" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Comunica1" name="Tassonomia_Comunica" type="radio" value="1">
    <label class="form-check-label" for="Tassonomia_Comunica1"> che nell’anno in corso frequenterà la scuola dell’infanzia </label>
    <div class="form-row">
      <div class="form-group col-lg-6">
        <label for=""> Scuola dell’infanzia </label>
      </div>
      <div class="form-group col-lg-6">
        <label for=""> Sezione </label>
      </div>
    </div>
  </div>
  {% set testi = [
    "Gianni Rodari (via Antonio Segni)",
    "Carlo Collodi (vico I Mazzini)",
    "Sebastiano Satta (via Sebastiano Satta, 24)",
    "Colle Zeppara (via Marabini, 10)"
  ]%}
  {% for testo in testi %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-2 col-lg-6">
        {% if loop.first %} <div id="Tassonomia_ScuolaInfanzia" name="Tassonomia_ScuolaInfanzia" label="scuola dell'infanzia" mandatory_enabled="#Tassonomia_Comunica1.checked()"></div>{% endif %}
        <input class="form-check-input" id="Tassonomia_ScuolaInfanzia{{ loop.index }}" name="Tassonomia_ScuolaInfanzia" type="radio" value="{{ loop.index }}">
        <label class="form-check-label" for="Tassonomia_ScuolaInfanzia{{ loop.index }}"> {{ testo|safe }} </label>
    </div>
    <div class="form-group col-lg-6">
        <input class="form-control" id="Parametri_Sezione{{ loop.index }}" name="Parametri_Sezione{{ loop.index }}" label="sezione" mandatory_enabled="#Tassonomia_ScuolaInfanzia{{ loop.index }}.checked()">
    </div>
  </div>
  {% endfor %}
  <div class="form-check indent-1">
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for=""> All’anno scolastico </label>
      </div>
    </div>
  </div>
  {% set testi = [
    "primo",
    "secondo",
    "terzo"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-2">
    {% if loop.first %} <div id="Tassonomia_AnnoScolastico" name="Tassonomia_AnnoScolastico" label="anno scolastico" mandatory_enabled="#Tassonomia_Comunica1.checked()"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_AnnoScolastico{{ loop.index }}" name="Tassonomia_AnnoScolastico" type="radio" value="{{ loop.index }}">
    <label class="form-check-label" for="Tassonomia_AnnoScolastico{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Comunica2" name="Tassonomia_Comunica" type="radio" value="2">
    <label class="form-check-label" for="Tassonomia_Comunica2"> che nell’anno in corso frequenterà la scuola primaria (tempo pieno) </label>
    <div class="form-row">
        <div class="form-group col-lg-6">
          <label for=""> Scuola </label>
        </div>
        <div class="form-group col-lg-6">
          <label for=""> Sezione </label>
        </div>
    </div>
    <div class="form-row">
      <div class="col-lg-6">
        <label for=""> Sebastiano Satta (via Sebastiano Satta, 24) </label>
      </div>
      <div class="form-group col-lg-6">
        <input class="form-control" id="Parametri_Sezione6" name="Parametri_Sezione6" label="sezione" mandatory_enabled="#Tassonomia_Comunica2.checked()">
      </div>
    </div>
  </div>
  <div class="form-check indent-1">
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for=""> All’anno scolastico </label>
      </div>
    </div>
  </div>
  {% set testi = [
    "primo",
    "secondo",
    "terzo",
    "quarto",
    "quinto"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-2">
    {% if loop.first %} <div id="Tassonomia_AnnoScolasticoTempoPieno" name="Tassonomia_AnnoScolasticoTempoPieno" label="anno scolastico" mandatory_enabled="#Tassonomia_Comunica2.checked()"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_AnnoScolasticoTempoPieno{{ loop.index }}" name="Tassonomia_AnnoScolasticoTempoPieno" type="radio" value="{{ loop.index }}">
    <label class="form-check-label" for="Tassonomia_AnnoScolasticoTempoPieno{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<globo_salto_pagina></globo_salto_pagina>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>
{{ utils.firma_hidden( firmatario = "Il dichiarante" ) }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}